## qct 1.0

=== Makefile ===
#
# Distribution logic
#

# Files not revisioned which are distributed
UI_FILES := qctlib/ui_dialog.py qctlib/ui_preferences.py
EXTRAS := $(UI_FILES) doc/qct.1 doc/qct.1.html

# Revisioned files which are not distributed
PRUNE  := .hgtags .hgignore

VER := $(shell python setup.py --version)
DIST_NAME  := qct-$(VER)
PRUNE_LIST := $(foreach file, $(PRUNE), $(DIST_NAME)/$(file))

all: $(UI_FILES)

dist: $(EXTRAS)
	hg archive --type=files $(DIST_NAME)
	for i in $(EXTRAS) ; do cp $$i $(DIST_NAME)/$$i ; done
	$(RM) $(PRUNE_LIST)
	tar czf $(DIST_NAME).tar.gz $(DIST_NAME)/
	$(RM) -r $(DIST_NAME)/

ui_%.py : %.ui
	pyuic4 $< > $@

doc/qct.1:
	$(MAKE) -C doc

.PHONY: install site-install mac-install

install: $(UI_FILES)
	python setup.py install --home=~

site-install: $(UI_FILES)
	python setup.py install --force

egg: $(UI_FILES)
	python setup.py bdist_egg

clean:
	$(RM) $(UI_FILES)
	$(RM) qctlib/*.pyc qctlib/vcs/*.pyc
	$(RM) -r build/ dist/ qct.egg-info/
	$(RM) qct-*.tar.gz 
	$(MAKE) -C doc clean

## qct 1.7

=== Makefile ===
--- 
+++ 
@@ -4,6 +4,7 @@
 
 # Files not revisioned which are distributed
 UI_FILES := qctlib/ui_dialog.py qctlib/ui_preferences.py
+UI_FILES += qctlib/ui_select.py
 EXTRAS := $(UI_FILES) doc/qct.1 doc/qct.1.html
 
 # Revisioned files which are not distributed

=== doc/Makefile ===
SOURCES=$(wildcard *.[0-9].txt)
MAN=$(SOURCES:%.txt=%)
HTML=$(SOURCES:%.txt=%.html)
PREFIX=/usr/local
MANDIR=$(PREFIX)/man
INSTALL=install -c

all: man html

man: $(MAN)

html: $(HTML)

%: %.xml
	xmlto man $*.xml

%.xml: %.txt
	asciidoc -d manpage -b docbook $*.txt

%.html: %.txt
	asciidoc -b html4 $*.txt || asciidoc -b html $*.txt

install: man
	for i in $(MAN) ; do \
	  subdir=`echo $$i | sed -n 's/..*\.\([0-9]\)$$/man\1/p'` ; \
	  mkdir -p $(MANDIR)/$$subdir ; \
	  $(INSTALL) $$i $(MANDIR)/$$subdir ; \
	done

clean:
	$(RM) $(MAN) $(MAN:%=%.xml) $(MAN:%=%.html)

=== debian/changelog ===
qct (1.7-3) unstable; urgency=low

  * Breaks "mercurial (<< 1.9.1-1)" to make sure that a dh_python2 package is
    not coinstalled with a python-support one (thanks Javi)

 -- Vincent Danjean <vdanjean@debian.org>  Mon, 22 Aug 2011 23:21:04 +0200

qct (1.7-2) unstable; urgency=low

  * Transition to dh_python2 (Closes: #637401)
  * Switch to source format 3.0 (quilt)
  * Dump Standard Version (no change required)
  * Remove advertised support for git (Closes: #546153, #488055)
    Patch are welcome to re-enable this support

 -- Vincent Danjean <vdanjean@debian.org>  Thu, 11 Aug 2011 10:56:53 +0200

qct (1.7-1) unstable; urgency=low

  * New Upstream Version
    + 1.7 Added 'reverse by status' sort, and bug fixes for svn and hg
    + 1.6 fixes a number of bugs
  * Adapt for new python-support (Closes: #517305)
  * debian/patches:
    + remove deb_specific__fix_syntax_for_python2.4.patch [applied upstream]

 -- Vincent Danjean <vdanjean@debian.org>  Mon, 06 Apr 2009 15:11:32 +0200

qct (1.5-1) unstable; urgency=low

  * New Upstream Version
    + improved support for merge commits (Mercurial only)
  * Use collab-maint and git for packaging
    + remove uupdate from watch file
    + add VCS-* headers
    + add Homepage
  * depends on git-core instead of git (Closes: #470616)
    Thanks Sven Marnach
  * correct typo in text (Closes: #472388)
    Thanks Trent W. Buck
  * Fix download site in copyright file
  * Dump Standard-Version to 3.7.3 (no change needed)
  * Fix lintian warnings

 -- Vincent Danjean <vdanjean@debian.org>  Wed, 02 Apr 2008 00:35:36 +0200

qct (1.4-1) unstable; urgency=low

  * New upstream releases
    New in 0.3:
    + 'Ok' and 'Cancel' buttons removed.  'Commit Selected' button added.
    + 'Revert Selected' Feature
    + Ctrl-O shortcut for commit, Esc shortcut for abort
    + Optimizations to work-flow to allow multiple small commits in series
    + The mercurial extension now spawns the GUI without using os.system()
    + A stub back-end for GIT was added, as a proof of concept
    New in 0.4:
    + Added syntax highlighting to diffBrowser window (thanks to hgct)
    + Layout improvements, new CTRL-N shortcut to cycle through diffs
    + Add an automated distribution Makefile rule
    + Added a back-end for bazaar, including a plugin
    + Keep selected list persistent through refresh events
  * Fix python syntax to work with python2.4

 -- Vincent Danjean <vdanjean@debian.org>  Fri, 02 Nov 2007 22:14:12 +0100

qct (1.2-1) unstable; urgency=low

  * New upstream release available (Closes: #446002)

 -- Vincent Danjean <vdanjean@debian.org>  Wed, 10 Oct 2007 12:47:44 +0200

qct (1.0-2) unstable; urgency=low

  * update watch file
  * bazaar in depends should be bzr (Closes: #434375)
    thanks to Adeodato Simó for noticing
  * try to workaround #427829 by adding a comment in the conffile
    (if you have better ideas...)

 -- Vincent Danjean <vdanjean@debian.org>  Wed, 25 Jul 2007 13:20:53 +0200

qct (1.0-1) unstable; urgency=low

  * New upstream release
  * Update watch file to reflect new upstream location

 -- Vincent Danjean <vdanjean@debian.org>  Tue, 10 Apr 2007 00:26:46 +0200

qct (0.9-2) unstable; urgency=low

  * Remove an unused debug file from diff.gz

 -- Vincent Danjean <vdanjean@debian.org>  Tue,  6 Feb 2007 08:16:21 +0100

qct (0.9-1) unstable; urgency=low

  * New upstream release
    + Support for Subversion repositories
    + Support for Cogito (git) repositories
    + Support for Monotone repositories
    + Support for CVS repositories
    + Support -I/-X options in the Mercurial extension
    + Add sign-off message to preferences dialog
    + Sort file list by [filename | extension | status]
    + File filtering (simple string matching)
    + Added --version and --help command line arguments

 -- Vincent Danjean <vdanjean@debian.org>  Fri,  2 Feb 2007 07:43:19 +0100

qct (0.8-2) unstable; urgency=low

  * force pyqt4 files to be regenerated at build time
  * backport from tip so that qct works with pyqt4.0

 -- Vincent Danjean <vdanjean@debian.org>  Fri, 19 Jan 2007 08:21:18 +0100

qct (0.8-1) unstable; urgency=low

  * New upstream release
    New in 0.8:
    + Change selection/cherry-picking (uses external two-way merge)
    + Context menus:
    +    -- add ignore masks for unknown files
    +    -- select copy sources for unknown and ignored files
    +    -- delete unknown and ignored files
    +    -- find rename/move targets for missing files
    +    -- revert, visual diff, external editor for all
    +       revisioned commitable files
    + Preferences dialog for specifying external tools
    + Progress bar for the repository scan
    + Simple repository auto-detection for standalone qct
    + Revert button removed, replaced with a Cancel button
    + Support for automatic sign-off messages in Hg back-end

 -- Vincent Danjean <vdanjean@debian.org>  Fri, 19 Jan 2007 06:11:03 +0100

qct (0.7-1) unstable; urgency=low

  * New upstream release
    New in 0.7:
    + Support for Mercurial Queues
    + Cache scheme for hg back-end
    + Make most recent commit log messages available for re-use
    + Enable multi-selection in the file-list
    + Improved support for symbolic links in Mercurial back-end
    + Added a man-page
    + Worked around a Qt problem (multiple press events from one click)
    + Worked around more Windows path problems
    + setup.py will build UI file iff it does not exist

 -- Vincent Danjean <vdanjean@debian.org>  Sun,  7 Jan 2007 19:09:00 +0100

qct (0.6-1) unstable; urgency=low

  * New upstream release
    +  Windows self-extracting binary package
    +  Moved qct logic unto qctlib/ package, for cleaner installation
    +  Added check boxes to file list to indicate selected state
    +  Removed userName edit field
    +  Added movable splitter between file list and diff browser
    +  Keep window geometry (and splitter) persistent in
       ~/.config/vcs/qct.conf
    +  Added CTRL-U shortcut to unselect all files


=== debian/control ===
Source: qct
Section: vcs
Priority: extra
Maintainer: Vincent Danjean <vdanjean@debian.org>
Build-Depends: debhelper (>= 5.0.37.2), quilt, patchutils (>= 0.2.25),
 cdbs (>= 0.4.90~), python-all (>=2.6.6-3~)
Build-Depends-Indep: pyqt4-dev-tools, xmlto, asciidoc
X-Python-Version: >= 2.4
Standards-Version: 3.9.2
VCS-Git: git://git.debian.org/collab-maint/qct.git
VCS-Browser: http://git.debian.org/?p=collab-maint/qct.git
Homepage: http://qct.sourceforge.net/

Package: qct
Architecture: all
Depends: mercurial | bzr | monotone | subversion | cvs,
 ${shlibs:Depends}, ${misc:Depends},
 ${python:Depends}, python-qt4
Provides: ${python:Provides} 
Enhances: mercurial, cogito, bzr, monotone, subversion, cvs
Breaks: mercurial (<< 1.9.1-1)
Description: GUI commit tool
 qct is a GUI enabled commit tool for various VCS (currently Mercurial,
 Bazaar, Perforce, Subversion, Monotone, CVS). It aims to be
 Cross-Platform (Linux, Windows-Native, MacOS, cygwin). It allows the user
 to view diffs, select which files to commit (or ignore / revert), write
 commit messages and perform the commit itself.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

DEB_PYTHON2_MODULE_PACKAGES=qct
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/patchsys-quilt.mk
include /usr/share/cdbs/1/class/python-distutils.mk

DEB_INSTALL_MANPAGES_qct=doc/qct.1

install/qct::
	mkdir -p $(DEB_DESTDIR)/usr/lib/`pyversions -d`/site-packages/hgext
	install -m 644 \
		hgext/qct.py \
		$(DEB_DESTDIR)/usr/lib/`pyversions -d`/site-packages/hgext/qct.py

binary-install/qct::
	# Install system-wide extensions
	install -d $(DEB_DESTDIR)/etc/mercurial/hgrc.d/
	install -m 644 \
		debian/hgext.rc \
		$(DEB_DESTDIR)/etc/mercurial/hgrc.d/qct.rc

clean::
	$(RM) qctlib/ui_dialog.py qctlib/ui_preferences.py
	$(MAKE) -C doc clean

build-prepare:
	$(RM) qctlib/ui_dialog.py qctlib/ui_preferences.py
	$(MAKE) qctlib/ui_dialog.py qctlib/ui_preferences.py

build: build-prepare manpage

.PHONY: manpage

manpage:
	$(MAKE) -C doc

=== debian/watch ===
version=3
http://qct.sourceforge.net/ qct-(.*)\.tar\.gz
